> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send contact channel verification code

> Send a code to the user's contact channel for verifying the contact channel.



## OpenAPI

````yaml /openapi/server.json post /contact-channels/{user_id}/{contact_channel_id}/send-verification-code
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /contact-channels/{user_id}/{contact_channel_id}/send-verification-code:
    post:
      tags:
        - Contact Channels
      summary: Send contact channel verification code
      description: >-
        Send a code to the user's contact channel for verifying the contact
        channel.
      parameters:
        - name: user_id
          in: path
          schema:
            type: string
            example: me
            description: The user to send the verification code to.
          description: The user to send the verification code to.
          required: true
        - name: contact_channel_id
          in: path
          schema:
            type: string
            example: b3d396b8-c574-4c80-97b3-50031675ceb2
            description: The contact channel to send the verification code to.
          description: The contact channel to send the verification code to.
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                callback_url:
                  type: string
                  example: https://example.com/handler/email-verification
                  description: >-
                    The base callback URL to construct a verification link for
                    the verification e-mail. A query parameter `code` with the
                    verification code will be appended to it. The page should
                    then make a request to the `/contact-channels/verify`
                    endpoint.
              required:
                - callback_url
              example:
                callback_url: https://example.com/handler/email-verification
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always equal to true.
                    example: true
                required:
                  - success

````